IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

User profiles

User profiles

The user profile object

Attributes

referrer_iduuid | null
user_iduuid

Unique identifier

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

avatartext | null

URL of the avatar image

emailtext

User email address

first_week_contains_date1 | 4 | null

First week of the year. Either 1 (first week with a Thursday) or 4 (first week with a Monday)

ftstsvector

Full text search index

languageLanguage

User language

last_login_attimestamp with time zone | null

Timestamp at which the user last logged in

nametext | null

User name

sourcetext | null

Source of the user

week_starts_on0 | 1 | null

First day of the week. Either 1 or 0

The user profile object

JSON

{
  "referrer_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:02:28.654Z",
  "updated_at": "2026-03-12T04:02:28.654Z",
  "avatar": "",
  "email": "",
  "first_week_contains_date": 0,
  "language": "en-US",
  "last_login_at": "2026-03-12T04:02:28.654Z",
  "name": "",
  "source": "",
  "week_starts_on": 0
}

List user profiles

Filters

referrer_idFilter<uuid | null>
user_idFilter<uuid>

Unique identifier

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

avatarFilter<text | null>

URL of the avatar image

emailFilter<text>

User email address

first_week_contains_dateFilter<1 | 4 | null>

First week of the year. Either 1 (first week with a Thursday) or 4 (first week with a Monday)

ftsFilter<tsvector>

Full text search index

languageFilter<Language>

User language

last_login_atFilter<timestamp with time zone | null>

Timestamp at which the user last logged in

nameFilter<text | null>

User name

sourceFilter<text | null>

Source of the user

week_starts_onFilter<0 | 1 | null>

First day of the week. Either 1 or 0

Responses

200

A list of user profiles with the selected columns

206

Partial Content

GET /user_profiles
curl -X GET "https://api.bookingmood.com/v1/user_profiles?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"